String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	document.getElementById("TxtNom").value="";
	document.getElementById("TxtCol").value="";
	document.getElementById("TxtOrd").value="";
	document.getElementById("TxtNL").value="";
	document.getElementById("CmdE").disabled =true;
	document.getElementById("CmdG").value="Guardar";
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="";
}
function fGuardar(){
	var Nom=document.getElementById("TxtNom").value;
	var Col=document.getElementById("TxtCol").value;
	var Ord=document.getElementById("TxtOrd").value;
	var Nl=document.getElementById("TxtNL").value;
	if(Nom.trim().length==0){
		alert("Ingrese el nombre del menu");
		document.getElementById("TxtNom").focus();
		return;
	}
	if(Nom.trim().length==0){
		alert("Ingrese el nombre del menu");
		document.getElementById("TxtNom").focus();
		return;
	}
	
	if(Col.trim().length==0){
		alert("Ingrese un valor numerico para la columna");
		document.getElementById("TxtCol").focus();
		return;
	}
	if(Ord.trim().length==0){
		alert("Ingrese un valor numerico para el orden");
		document.getElementById("TxtOrd").focus();
		return;
	}
	if(Nl.trim().length==0){
		alert("Ingrese un valor numerico para el numero de lineas");
		document.getElementById("TxtNL").focus();
		return;
	}	
	if(isNaN(Col)){
		alert("Ingrese un valor numerico para la columna");
		document.getElementById("TxtCol").focus();
		return;
	}
	if(isNaN(Ord)){
		alert("Ingrese un valor numerico para el orden");
		document.getElementById("TxtOrd").focus();
		return;
	}
	if(isNaN(Nl)){
		alert("Ingrese un valor numerico para el numero de lineas");
		document.getElementById("TxtNL").focus();
		return;
	}

	if(document.getElementById("CmdG").value=="Guardar"){
		document.getElementById("TxtAc").value="G";
	}else{
		document.getElementById("TxtAc").value="M";
	}
	document.getElementById("Frm").submit();
}
function fVistaPrevia(){
	DivDatos = document.getElementById("DivDEMO");
	TxtNom = document.getElementById("TxtNom");
	TxtCol = document.getElementById("TxtNL");
	DivDatos.innerHTML=TxtNom.value;	
	var nl=DivDatos.scrollHeight / 15;
	if(nl==0){
		nl=1;
	}
	TxtCol.value=nl;
}
/**************************************************************************
	onkeypress="return pulsar(event);"
**************************************************************************/
function pulsar(e) { 	
	var tecla = (document.all) ? e.keyCode :e.which; 
	var Obj=event.srcElement.name;	
	if(Obj=="TxtNom"){
		if(tecla==13){			
			document.getElementById('CmdG').click();			
		}
	}	
	return (tecla!=13); 
} 
//**************************************************************************
